This folder contains all required software to run a kafka in local.

# Running kafka

To run the kafka-producer-benchmark :

1. Download kafka_2.11-0.10.2.0.tgz
2. cd kafka_2.11-0.10.2.0
3. bin/zookeeper-server-start.sh config/zookeeper.properties
4. bin/kafka-server-start.sh config/server.properties
5. bin/kafka-producer-perf-test.sh --topic benchmark-producer --producer.config config/producer.properties --record-size 1322 --num-records 300000 --throughput 10000

# Running reactive kafka 

To run the reactive-kafka-benchmark :

1. cd reactive-kafka-benchmark/
2. sbt run

# Current throughput issue

Running in local kafka, the msg rate is about 5000 msg / sec when the kafka bench producer send 10000 msg / sec.
With a hosted kafka, I have the same behavior : the kafka producer bench runs about 5000 msg / sec when the reactive consumer fetch 2000 msg / sec.

We test a kafka python client (github : https://github.com/dpkp/kafka-python) and we didn't have this throuhgput issue.